# Summary
**Transmogrify and enchant your equipment with built in crafting menus. Transmog Weapons, Armor, Backpacks, Lanterns and Lexicons. Enchant gear through a crafting menu. No more fiddling around with pillar placements.**
&nbsp;
- - - -
&nbsp;

## **Adds 2 New Crafting Menus**

 Menu | | Description
--- | --- | --- 
 Transmogrify | ![Transmogrify](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/Assets/assets/tex_men_iconsHoverTransmogrify.png?raw=true) | Customize your gear. Change the appearance of weapons or armor.
Enchanting | ![Enchanting menu](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/Assets/assets/tex_men_iconsHoverEnchanting.png?raw=true) | Adds an Enchanting crafting menu. Hassle free enchanting without the log rolling. 

## **New Recipes**
Recipe | |  | | | Result
--- | --- | --- | --- | --- | ---
**Transmog Equipment** | ![Equipment](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/ArmorTiny.png?raw=true) | ![Plus Sign](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/PlusSignTiny.png?raw=true) | ![Gold Ingot](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/GoldIngotToonTiny.png?raw=true) | ![Equals Sign](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/EqualsSignTiny.png?raw=true) | ![Transmog Equipment](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/ArmorTransmogTiny.png?raw=true)
**Remove Transmog** | ![Transmog Equipment](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/ArmorTransmogTiny.png?raw=true) | ![Plus Sign](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/PlusSignTiny.png?raw=true) | ![Hex Cleaner Image](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/HexCleanerToonTiny.png?raw=true) | ![Equals Sign](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/EqualsSignTiny.png?raw=true) | ![Equipment](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/ArmorTiny.png?raw=true)

<br />

# Video (YouTube)
[ ![Transmogrify YouTube Video](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/ReadmeVideoPreview.png?raw=true) ](https://youtu.be/XwYYAvxiIBM)

# Transmogrify
- Learn new Transmog recipes by equipping gear.
- Transmogrify an Item (swap visuals with another).
  - \*\***Important**\*\* Equip the Item you want to change.
    - Backpacks must be empty!
  - Open the Transmogrify Crafting Menu
  - Select the Transmog Recipe on the left.
  - Confirm the Selected Item is the item you wish to apply the transmog to.
  - Craft your new item.
    - Any Enchantments are carried over to the new item.
- Remove a transmog from equipment with the "- Remove Transmogrify" recipe.
  - Equip Item you wish to remove the Transmogrify from.
  - Open the Transmogrify Crafting Menu.
  - Select the "- Remove Transmog" recipe at the top.
  - Select the Equipped Item you wish to remove the Transmog from.
  - Craft your new item with the transmog removed.
    - Any Enchantments are carried over to the new item.

# Enchanting
- A new Enchanting Menu is now available as a replacement to the game's crafting sytem.
  - Equip the piece of gear you wish to enchant.
  - Open the Enchanting Crafting Menu
  - Select the Enchantment Recipe on the left.
  - Confirm the item in the bottom right corner is the one you wish to enchant.
  - Click craft to Enchant your item.
- Conditional Enchanting
  - The new enchanting menu can be configured to respect or ignore the build in conditions if desired. Only the Quest condition is enabled by default. Not all enchants have additional conditions. For additional information on enchantment conditions, consult the Outward Wiki.
    - Quest(s) Completed: Enchants that require Quest completion or Enchanting Guild upgrades.
    - Player in Region
    - Time of Day
    - Temperature
    - Weather
    - Wind Altar Activated

# Description
<p>
Transmorphic adds a new crafting system focused on customizing your equipment's visuals. Transmog Recipes (equipment appearances) are unlocking by finding and equipping gear. Once a transmog recipe is learned, any equipment item of the same type* can have its appearance altered to look like it in the new Transmogrify crafting menu. Only equipped items are selectable in the Transmogrify crafting menu. If the item you want to transmog (or remove) is not available to select in the new crafting menu, make sure you have it equipped.
</p>

\**1h sword --> 1h sword, 2h axe --> 2h axe, Boots --> Boots, etc.*


## 1. Equip Item
![Equip Target Item](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/EquipItemSmallest.png?raw=true)
## 2. Transmog in New Crafting Menu
![New Transmogrify Menu](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/CraftingMenuSmallest.png?raw=true)
## 3. Custom Icon Identifies Transmog Gear
![New Icons](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/NewTmogEquipmentSmallest.png?raw=true)
## 4. Re-equip Item
![New Icons](https://github.com/ModifAmorphic/outward/blob/mods/transmorphic/Transmorphic/RawAssets/HeadshotSmall.png?raw=true)

# Change Logs

## Release 1.0.7
  - Compatibility patch for ActionUI Equipment Sets

## Release 1.0.6
  - Fix for infinite "Loading Items" load screen compatibility with other mods.
  - Removed Ammunition Transmogs.
  - Made Secondary Ingredient for "Remove Transmog" recipe configurable.

## Release 1.0.5
  - Enchant Menu should work without Sideloader.
  - Fix for weapon enchants in enchanting menu.

## Release 1.0.4
  - Fix for Enchants not carrying over fully when adding or removing a transmog to an enchanted item.

## Release 1.0.3
  - Fixes for Definitive Edition.
  - Removed Cooking and Alchemy menus.
  - Added option to specify secondary ingredient that is consumed for transmogs

  